Subject: [MOBILE-IP] MIPL Mobile IPv6 for linux

From: Lars Henrik Petander <[email-masked]>
Date: Fri, 9 Jun 2000 14:16:41 +0300

Hello!

The MIPL project at the Helsinki University of Technology has implemented
Mobile IPv6 as a kernel module for the Linux kernel version 2.4.

The release 0.50 of MIPL is an alpha prototype, but it implements most of
the functionality specified in the IETF draft version 12 of mobility
support for IPv6, including route optimization.  Authentication of binding
updates and acknowledgements is not implemented yet, since currently there
is no IPSec available for Linux that supports IPv6. The development work
will continue in the GO research project at HUT.

The release consists of a kernel module, some patches to the IPv6 module
and configuration and installation tools, all under GPL. The release,
source code and more information are available from:

http://vesper.tky.hut.fi/mip

Henrik Petander,
MIPL / GO project